Source: haskell-pwstore-fast
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-base64-bytestring-dev (>= 0.1),
 libghc-base64-bytestring-prof,
 libghc-byteable-dev (>= 0.1),
 libghc-byteable-prof,
 libghc-cryptohash-dev (>= 0.6),
 libghc-cryptohash-prof,
 libghc-random-dev (>= 1),
 libghc-random-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-base64-bytestring-doc,
 libghc-byteable-doc,
 libghc-cryptohash-doc,
 libghc-random-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/PeterScott/pwstore
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-pwstore-fast
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-pwstore-fast]

Package: libghc-pwstore-fast-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: secure password storage${haskell:ShortBlurb}
 To store passwords securely, they should be salted, then hashed with a
 slow hash function. This library uses PBKDF1-SHA256, and handles all
 the details. It uses the cryptohash package for speed; if you need a
 pure Haskell library, pwstore-purehaskell has the exact same API, but
 uses only pure Haskell. It is about 25 times slower than this package,
 but still quite usable.
 .
 ${haskell:Blurb}

Package: libghc-pwstore-fast-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: secure password storage${haskell:ShortBlurb}
 To store passwords securely, they should be salted, then hashed with a
 slow hash function. This library uses PBKDF1-SHA256, and handles all
 the details. It uses the cryptohash package for speed; if you need a
 pure Haskell library, pwstore-purehaskell has the exact same API, but
 uses only pure Haskell. It is about 25 times slower than this package,
 but still quite usable.
 .
 ${haskell:Blurb}

Package: libghc-pwstore-fast-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: secure password storage${haskell:ShortBlurb}
 To store passwords securely, they should be salted, then hashed with a
 slow hash function. This library uses PBKDF1-SHA256, and handles all
 the details. It uses the cryptohash package for speed; if you need a
 pure Haskell library, pwstore-purehaskell has the exact same API, but
 uses only pure Haskell. It is about 25 times slower than this package,
 but still quite usable.
 .
 ${haskell:Blurb}
